epp_DomainCheckReq (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epp0503.domain.epp_DomainCheckReq class

### org.openrtk.idl.epp0503.domain

# Class epp_DomainCheckReq

- `java.lang.Object`
- - `org.openrtk.idl.epp0503.domain.epp_DomainCheckReq`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_DomainCheckReq`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

Class that contains the elements necessary to check to see if a domain is available in the registry. $Header: /cvsroot/epp-rtk/epp-rtk/java/src/org/openrtk/idl/epp0503/domain/epp_DomainCheckReq.java,v 1.2 2003/09/10 21:29:57 tubadanm Exp $
$Revision: 1.2 $
$Date: 2003/09/10 21:29:57 $

See Also:
  `EPPDomainCheck`, `epp_DomainCheckRsp`

  ## Field Summary
  `epp_Command` | `m_cmd` The common and generic command element.
  `String[]` | `m_names` The array of domain names to check in the registry.

  ## Constructor Summary
  `epp_DomainCheckReq()` Empty constructor
  `epp_DomainCheckReq(epp_Command _m_cmd, String[] _m_names)` The constructor with initializing variables.

  ## Method Summary
  `epp_Command` | `getCmd()` Accessor method for the common and generic command element
  `String[]` | `getNames()` Accessor method for the array of domain names to check in the registry
  `void` | `setCmd(epp_Command value)` Accessor method for the common and generic command element
  `void` | `setNames(String[] value)` Accessor method for the array of domain names to check in the registry
  `String` | `toString()` Converts this class into a string.

## Field Details

### m_cmd

    public epp_Command m_cmd

> The common and generic command element.
> See Also:
>   `setCmd(epp_Command)`, `getCmd()`

### m_names

    public String[] m_names

> The array of domain names to check in the registry.
> See Also:
>   `setNames(String[])`, `getNames()`

## Constructor Details

### epp_DomainCheckReq

    public epp_DomainCheckReq()

> Empty constructor

### epp_DomainCheckReq

    public epp_DomainCheckReq(epp_Command _m_cmd,
                              String[] _m_names)

> The constructor with initializing variables.
> Parameters:
>   `_m_cmd` - The common and generic command element
>   `_m_names` - The array of domain names to check

## Method Details

### getCmd

    public epp_Command getCmd()

> Accessor method for the common and generic command element
> Returns:
>   The command element
> See Also:
>   `m_cmd`

### getNames

    public String[] getNames()

> Accessor method for the array of domain names to check in the registry
> Returns:
>   The array of domain names
> See Also:
>   `m_names`

### setCmd

    public void setCmd(epp_Command value)

> Accessor method for the common and generic command element
> Parameters:
>   `value` - The command element
> See Also:
>   `m_cmd`

### setNames

    public void setNames(String[] value)

> Accessor method for the array of domain names to check in the registry
> Parameters:
>   `value` - The array of domain names
> See Also:
>   `m_names`

### toString

    public String toString()

> Converts this class into a string. Typically used to view the object in debug output.
> Returns:
>   The string representation of this object instance

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS